AbstractAccessLogValve.DateAndTimeElement (Apache Tomcat 10.1.55 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: DateAndTimeElement

# Class AbstractAccessLogValve.DateAndTimeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.DateAndTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.DateAndTimeElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write date and time, in configurable format (default CLF) - %t or %{format}t.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DateAndTimeElement()`
  Creates a new date and time element using CLF format.
  `protected`
  `DateAndTimeElement(String sdf)`
  Creates a new date and time element with the specified format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### DateAndTimeElement

    protected DateAndTimeElement()
    Creates a new date and time element using CLF format.

  - ### DateAndTimeElement

    protected DateAndTimeElement(String sdf)
    Creates a new date and time element with the specified format.
    Parameters:
      `sdf` - The SimpleDateFormat pattern or special format identifier

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request